# Generated by Django 2.1.7 on 2020-10-31 22:52

from django.conf import settings
import django.contrib.postgres.fields.jsonb
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models
import tickets.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='CategoryModel',
            fields=[
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.AutoField(primary_key=True, serialize=False)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('name', models.TextField()),
                ('classification', models.PositiveSmallIntegerField(choices=[(1, 'Tipo'), (2, 'Categoria'), (3, 'Subcategoria'), (4, 'Segunda subcategoria')])),
                ('sla', models.PositiveIntegerField(default=1)),
                ('creator', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='tickets_categorymodel_creator', to=settings.AUTH_USER_MODEL)),
                ('parent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='tickets.CategoryModel')),
                ('updater', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='tickets_categorymodel_updater', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='HistoricalCategoryModel',
            fields=[
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.IntegerField(blank=True, db_index=True)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('updated', models.DateTimeField(blank=True, editable=False)),
                ('name', models.TextField()),
                ('classification', models.PositiveSmallIntegerField(choices=[(1, 'Tipo'), (2, 'Categoria'), (3, 'Subcategoria'), (4, 'Segunda subcategoria')])),
                ('sla', models.PositiveIntegerField(default=1)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('creator', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('parent', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='tickets.CategoryModel')),
                ('updater', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical category model',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalNewContactModel',
            fields=[
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.IntegerField(blank=True, db_index=True)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('updated', models.DateTimeField(blank=True, editable=False)),
                ('commentary', models.TextField(blank=True, null=True)),
                ('channel', models.CharField(choices=[(0, 'CORREO'), (1, 'LLAMADA'), (2, 'CHAT'), (3, 'REDES'), (4, 'WHATSAPP')], max_length=25)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('creator', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical new contact model',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalTypifyModel',
            fields=[
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.IntegerField(blank=True, db_index=True)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('updated', models.DateTimeField(blank=True, editable=False)),
                ('services', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
                ('commentaries', models.IntegerField(null=True)),
                ('liveagent', models.CharField(blank=True, max_length=100)),
                ('rut', models.CharField(blank=True, max_length=100)),
                ('slack_thread', django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict, null=True)),
                ('customer_type', models.PositiveIntegerField(choices=[(0, 'No cliente'), (1, 'Nuevo cliente'), (2, 'Prospecto'), (3, 'Cliente')], default=0)),
                ('channel', models.PositiveIntegerField(choices=[(0, 'CORREO'), (1, 'LLAMADA'), (2, 'CHAT'), (3, 'REDES'), (4, 'WHATSAPP')], default=0)),
                ('type', models.PositiveIntegerField(choices=[(0, 'IN'), (1, 'OUT')], default=0)),
                ('status', models.PositiveIntegerField(choices=[(0, 'ABIERTO'), (1, 'CERRADO'), (2, 'ESPERANDO RESPUESTA'), (3, 'DAR SEGUIMIENTO'), (4, 'LLAMAR LUEGO')], default=0)),
                ('urgency', models.PositiveIntegerField(choices=[(0, 'NORMAL'), (1, 'CRITICO'), (2, 'RECLAMO')], default=0)),
                ('city', models.PositiveIntegerField(choices=[(0, 'ARICA'), (1, 'SANTIAGO'), (2, 'OTRA')], default=0)),
                ('management', models.PositiveIntegerField(choices=[(0, 'NINGÚNA'), (1, 'VISITA TÉCNICA'), (2, 'INSTALACIÓN'), (3, 'RETIRO DE EQUIPOS'), (4, 'CONFIGURACIÓN ONLINE')], default=0)),
                ('technician', models.IntegerField(null=True)),
                ('discount_reason', models.PositiveIntegerField(choices=[(0, 'NINGUNO'), (1, 'CAIDA MASIVA'), (2, 'PROBLEMAS CON EL SERVICIO'), (3, 'INCUMPLIMIENTO TECNICO'), (4, 'ERROR DE FINANZAS'), (5, 'RETENCION'), (6, 'MALA INFORMACION')], default=0)),
                ('discount_responsable_area', models.PositiveIntegerField(choices=[(0, 'NINGUNO'), (1, 'TECNICA'), (2, 'SOPORTE ONLINE'), (3, 'CX'), (4, 'PRODUCTO'), (5, 'FINANZAS'), (6, 'VENTAS')], default=0)),
                ('discount_porcentage', models.PositiveIntegerField(default=0, validators=[django.core.validators.MaxValueValidator(100), django.core.validators.MinValueValidator(0)])),
                ('slack_message', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('agent', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('category', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='tickets.CategoryModel')),
                ('creator', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('updater', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical typify model',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalTypifySlackMessageModel',
            fields=[
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.IntegerField(blank=True, db_index=True)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('updated', models.DateTimeField(blank=True, editable=False)),
                ('name', models.CharField(max_length=50)),
                ('fields', django.contrib.postgres.fields.jsonb.JSONField(default=list, validators=[tickets.models.TypifySlackMessageModel.validation_fields])),
                ('channel', models.CharField(max_length=9, null=True, validators=[tickets.models.TypifySlackMessageModel.validate_slack_channel])),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('category', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='tickets.CategoryModel')),
                ('creator', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('updater', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical typify slack message model',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalTypifyTablesModel',
            fields=[
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.IntegerField(blank=True, db_index=True)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('updated', models.DateTimeField(blank=True, editable=False)),
                ('filters', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
                ('assigned_to_me', models.BooleanField(default=False)),
                ('create_me', models.BooleanField(default=False)),
                ('last_time_type', models.PositiveIntegerField(choices=[(0, 'Minutos'), (1, 'Horas'), (2, 'Dias'), (3, 'Semanas'), (4, 'Meses'), (5, 'Trimestre'), (6, 'Año')], null=True)),
                ('last_time', models.PositiveIntegerField(null=True)),
                ('columns', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
                ('name', models.CharField(max_length=100)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('creator', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('updater', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical typify tables model',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='NewContactModel',
            fields=[
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.AutoField(primary_key=True, serialize=False)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('commentary', models.TextField(blank=True, null=True)),
                ('channel', models.CharField(choices=[(0, 'CORREO'), (1, 'LLAMADA'), (2, 'CHAT'), (3, 'REDES'), (4, 'WHATSAPP')], max_length=25)),
                ('creator', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='tickets_newcontactmodel_creator', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='TypifyModel',
            fields=[
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.AutoField(primary_key=True, serialize=False)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('services', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
                ('commentaries', models.IntegerField(null=True)),
                ('liveagent', models.CharField(blank=True, max_length=100)),
                ('rut', models.CharField(blank=True, max_length=100)),
                ('slack_thread', django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict, null=True)),
                ('customer_type', models.PositiveIntegerField(choices=[(0, 'No cliente'), (1, 'Nuevo cliente'), (2, 'Prospecto'), (3, 'Cliente')], default=0)),
                ('channel', models.PositiveIntegerField(choices=[(0, 'CORREO'), (1, 'LLAMADA'), (2, 'CHAT'), (3, 'REDES'), (4, 'WHATSAPP')], default=0)),
                ('type', models.PositiveIntegerField(choices=[(0, 'IN'), (1, 'OUT')], default=0)),
                ('status', models.PositiveIntegerField(choices=[(0, 'ABIERTO'), (1, 'CERRADO'), (2, 'ESPERANDO RESPUESTA'), (3, 'DAR SEGUIMIENTO'), (4, 'LLAMAR LUEGO')], default=0)),
                ('urgency', models.PositiveIntegerField(choices=[(0, 'NORMAL'), (1, 'CRITICO'), (2, 'RECLAMO')], default=0)),
                ('city', models.PositiveIntegerField(choices=[(0, 'ARICA'), (1, 'SANTIAGO'), (2, 'OTRA')], default=0)),
                ('management', models.PositiveIntegerField(choices=[(0, 'NINGÚNA'), (1, 'VISITA TÉCNICA'), (2, 'INSTALACIÓN'), (3, 'RETIRO DE EQUIPOS'), (4, 'CONFIGURACIÓN ONLINE')], default=0)),
                ('technician', models.IntegerField(null=True)),
                ('discount_reason', models.PositiveIntegerField(choices=[(0, 'NINGUNO'), (1, 'CAIDA MASIVA'), (2, 'PROBLEMAS CON EL SERVICIO'), (3, 'INCUMPLIMIENTO TECNICO'), (4, 'ERROR DE FINANZAS'), (5, 'RETENCION'), (6, 'MALA INFORMACION')], default=0)),
                ('discount_responsable_area', models.PositiveIntegerField(choices=[(0, 'NINGUNO'), (1, 'TECNICA'), (2, 'SOPORTE ONLINE'), (3, 'CX'), (4, 'PRODUCTO'), (5, 'FINANZAS'), (6, 'VENTAS')], default=0)),
                ('discount_porcentage', models.PositiveIntegerField(default=0, validators=[django.core.validators.MaxValueValidator(100), django.core.validators.MinValueValidator(0)])),
                ('slack_message', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
                ('agent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='agent_user', to=settings.AUTH_USER_MODEL)),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='tickets.CategoryModel')),
                ('creator', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='tickets_typifymodel_creator', to=settings.AUTH_USER_MODEL)),
                ('updater', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='tickets_typifymodel_updater', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='TypifySlackMessageModel',
            fields=[
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.AutoField(primary_key=True, serialize=False)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=50)),
                ('fields', django.contrib.postgres.fields.jsonb.JSONField(default=list, validators=[tickets.models.TypifySlackMessageModel.validation_fields])),
                ('channel', models.CharField(max_length=9, null=True, validators=[tickets.models.TypifySlackMessageModel.validate_slack_channel])),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='tickets.CategoryModel')),
                ('creator', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='tickets_typifyslackmessagemodel_creator', to=settings.AUTH_USER_MODEL)),
                ('updater', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='tickets_typifyslackmessagemodel_updater', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='TypifyTablesModel',
            fields=[
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.AutoField(primary_key=True, serialize=False)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('filters', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
                ('assigned_to_me', models.BooleanField(default=False)),
                ('create_me', models.BooleanField(default=False)),
                ('last_time_type', models.PositiveIntegerField(choices=[(0, 'Minutos'), (1, 'Horas'), (2, 'Dias'), (3, 'Semanas'), (4, 'Meses'), (5, 'Trimestre'), (6, 'Año')], null=True)),
                ('last_time', models.PositiveIntegerField(null=True)),
                ('columns', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
                ('name', models.CharField(max_length=100)),
                ('creator', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='tickets_typifytablesmodel_creator', to=settings.AUTH_USER_MODEL)),
                ('updater', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='tickets_typifytablesmodel_updater', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='newcontactmodel',
            name='typify',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='tickets.TypifyModel'),
        ),
        migrations.AddField(
            model_name='newcontactmodel',
            name='updater',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='tickets_newcontactmodel_updater', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalnewcontactmodel',
            name='typify',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='tickets.TypifyModel'),
        ),
        migrations.AddField(
            model_name='historicalnewcontactmodel',
            name='updater',
            field=models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
    ]
